NestedIterateTei (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested.logic
Class NestedIterateTei

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          org.apache.struts.taglib.logic.IterateTei
              org.apache.struts.taglib.nested.logic.NestedIterateTei

    public class NestedIterateTei

extends IterateTei

NestedIterateTei Extending the original tag's tei class, so that we can make the "id" attribute optional, so that those who want to script can add it if they need it otherwise we can maintain the nice lean tag markup. TODO - Look at deleting this class. Potentially a pointless existance now that the super class is towing the line. Left alone because it's not hurting anything as-is. Note: When done, it requires pointing the tei reference in the struts-nested.tld to org.apache.struts.taglib.logic.IterateTei

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2004-10-16 12:38:42 -0400 (Sat, 16 Oct 2004) $

Constructor Summary
`NestedIterateTei()`

Method Summary
`VariableInfo[]` | `getVariableInfo(TagData data)` Return information about the scripting variables to be created.

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, isValid, setTagInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedIterateTei

    public NestedIterateTei()

Method Detail

### getVariableInfo

    public VariableInfo[] getVariableInfo(TagData data)

  Return information about the scripting variables to be created.

  Overrides:
    `getVariableInfo` in class `IterateTei`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.